# Introducing Mappers

### Release V2023.05.16

* Introducing [Mappers](/how-to-guide/everreal-data-import-process/import-mappers.md) for ERP integrations.

**Deprecation Warnings**

Part of cleaning our graphQL we are planing to deprecate following keys from our graphQL endpoints by Oct 2023

* Owner Module

  ```graphql
  raw: RawInput @deprecated(reason: "raw is deprecated. Use meta instead with a source.")
  externalId: String @deprecated(reason: "externalId is deprecated. Use externalOwnerId instead.")
  street: String @deprecated(reason: "street is deprecated. Use address.streetName instead.")
  number: String @deprecated(reason: "number is deprecated. Use address.streetNumber instead.")
  zipCode: String @deprecated(reason: "zipCode is deprecated. Use address.zipCode instead.")
  city: String @deprecated(reason: "city is deprecated. Use address.city instead.")
  country: String @deprecated(reason: "country is deprecated. Use address.country instead.")
  ```
* Property Module

  ```graphql
  raw: PropertyRawInput @deprecated(reason: "raw is deprecated. Use meta instead with a source.")
  objectId: String @deprecated(reason: "objectId is deprecated. Use externalPropertyId instead.")
  owner: PropertyOwnerInput @deprecated(reason: "owner is deprecated. Use ownerId instead.")
  street: String @deprecated(reason: "address.street is deprecated. Use address.streetName instead.")
  number: String @deprecated(reason: "address.number is deprecated. Use address.streetNumber instead.")
  zip: String @deprecated(reason: "address.zip is deprecated. Use address.zipCode instead.")
  ```
* Unit Module

  ```graphql
  raw: PropertyRawInput @deprecated(reason: "raw is deprecated. Use meta instead with a source.")
  unitId: String @deprecated(reason: "unitId is deprecated. Use externalUnitId instead.")
  objectId: String @deprecated(reason: "objectId is deprecated. Use externalUnitId instead.")
  propertyObjectId: String @deprecated(reason: "propertyObjectId is deprecated. Use externalPropertyId instead.")
  floorNumber: Float @deprecated(reason: "floorNumber is deprecated. Use floorNo instead.")
  ```
* Tenant Module

  ```graphql
  raw: PropertyRawInput @deprecated(reason: "raw is deprecated. Use meta instead with a source.")
  externalId: String @deprecated(reason: "externalId is deprecated. Use externalTenantId instead.")
  nameOfTheUnit: String @deprecated(reason: "nameOfTheUnit is deprecated.")
  objectName: String @deprecated(reason: "objectName is deprecated.")
  startOfLease: String @deprecated(reason: "startOfLease is deprecated. Use contractStartDate instead.")
  endOfContract: String @deprecated(reason: "endOfContract is deprecated. Use contractEndDate instead.")
  ```
* Listing Module

  ```graphql
  availableFrom: Date @deprecated(reason: "ListingInformation.availableFrom will be moved to the main level.")
  ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/change-log/releases/introducing-mappers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
